Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 15 Jun 2022 10:40:14 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have a bad experience with online shopping and I called 4 times regarding that . I made an online order on 1st of june #9572535544 and received only one item which is the aeroplane shelf and i didn't receive anything else and when I called they did refund for the only item I received although I didn't ask for that and no news regarding the other items , I'm going to raise a complaint if this problem is not solved https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4488669